Skip to content

Simulate market vote sell

GET
/markets/simulate-sell
curl --request GET \
--url 'https://api.ethos.network/api/v2/markets/simulate-sell?profileId=1&voteType=trust&votes=1&sellerAddress=example&slippagePercentage=0.01'
profileId
required
integer
> 0 <= 2147483647
voteType
required
string
Allowed values: trust distrust
votes
required
integer
> 0 <= 9007199254740991
sellerAddress
required

Ethereum address (0x-prefixed, 20 bytes)

string

Ethereum address (0x-prefixed, 20 bytes)

slippagePercentage
number
default: 0.01 <= 1

Successful response

Media typeapplication/json
object
fundsReceived
required
integer format: int64
minimumVotePrice
required
integer format: int64
newVotePrice
required
integer format: int64

Example generated

{
"fundsReceived": 1,
"minimumVotePrice": 1,
"newVotePrice": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}